textures/helius/nuclear

{
	q3map_lightImage "textures/helius/nuclear.jpg"
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	surfaceparm detail
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
	{
		map "textures/helius/nuclear.jpg"
		blendFunc blend
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/helius/nuclear.jpg"
		blendFunc blend
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/helius/nuclear_fall
{
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/helius/nuclear_fall.tga"
		tcMod scroll 0 -0.5
		alphaGen const 0.7
		blendFunc blend
		RGBGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}


textures/helius/groundicy1

{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/helius/groundicy1.tga
		tcGen environment
		tcMod scale 8 8
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


textures/helius/groundicy1_nonsolid

{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm nonsolid
	{
		map textures/helius/groundicy1.tga
		tcGen environment
		tcMod scale 8 8
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/helius/wall1_nonsolid

{
	qer_editorimage textures/helius/wall1.tga
	surfaceparm nonsolid
	{
		map textures/helius/wall1.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/helius/wall2_nonsolid

{
	qer_editorimage textures/helius/wall2.tga
	surfaceparm nonsolid
	{
		map textures/helius/wall2.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/helius/wallslick1_nonsolid

{
	qer_editorimage textures/helius/wallslick1.tga
	surfaceparm nonsolid
	{
		map textures/helius/wallslick1.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/helius/light1

{
	qer_editorimage textures/helius/light1.tga
    q3map_lightimage textures/helius/light1_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light1_blend.tga
		blendfunc add
	}
}

textures/helius/light2

{
	qer_editorimage textures/helius/light2.tga
    q3map_lightimage textures/helius/light2_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light2.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light2_blend.tga
		blendfunc add
	}
}

textures/helius/light3

{
	qer_editorimage textures/helius/light3.tga
    q3map_lightimage textures/helius/light3_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 5000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light3.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light3_blend.tga
		blendfunc add
	}
}

textures/helius/light1_3k

{
	qer_editorimage textures/helius/light1.tga
    q3map_lightimage textures/helius/light1_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 3000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light1_blend.tga
		blendfunc add
	}
}

textures/helius/light2_3k

{
	qer_editorimage textures/helius/light2.tga
    q3map_lightimage textures/helius/light2_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 3000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light2.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light2_blend.tga
		blendfunc add
	}
}

textures/helius/light3_3k

{
	qer_editorimage textures/helius/light3.tga
    q3map_lightimage textures/helius/light3_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 3000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light3.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light3_blend.tga
		blendfunc add
	}
}

textures/helius/light1_1k

{
	qer_editorimage textures/helius/light1.tga
    q3map_lightimage textures/helius/light1_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 1000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light1_blend.tga
		blendfunc add
	}
}

textures/helius/light2_1k

{
	qer_editorimage textures/helius/light2.tga
    q3map_lightimage textures/helius/light2_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 1000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light2.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light2_blend.tga
		blendfunc add
	}
}

textures/helius/light3_1k

{
	qer_editorimage textures/helius/light3.tga
    q3map_lightimage textures/helius/light3_blend.tga
	surfaceparm nodamage
	nopicmip
	q3map_surfacelight 1000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/helius/light3.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/helius/light3_blend.tga
		blendfunc add
	}
}